Package: grails.core.support

## [Java] Interface ClassLoaderAware

-     public interface ClassLoaderAware
      extends org.springframework.beans.factory.Aware

  Convenience interface that can be implemented by classes that are registered by plugins.

  Authors:
    Steven Devijver
  Since:
    0.2

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `setClassLoader(java.lang.ClassLoader classLoader)` This method is called by the org.springframework.context.ApplicationContext that loads the Grails application.

- - ### Method Detail

    - #### public void setClassLoader(java.lang.ClassLoader classLoader)

      This method is called by the org.springframework.context.ApplicationContext that loads the Grails application. The java.lang.ClassLoader that loads the Grails application code is injected.

      Parameters:
        `classLoader` - the java.lang.ClassLoader that loads the Grails application code